umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | Protected Attributes | Private Slots | List of all members
TestCodeGeneratorBase Class Reference

`#include <testbase.h>`

Inheritance diagram for TestCodeGeneratorBase:

## Protected Member Functions
QString | temporaryPath ()

## Protected Attributes
QString | m_tempPath
| holds path to temporary directory
Protected Attributes inherited from TestBase
QList< QPointer< QObject > > | m_objectsToDelete

## Private Slots
virtual void | initTestCase ()

## Additional Inherited Members
Public Member Functions inherited from TestBase
| TestBase (QObject *parent=0)
Protected Slots inherited from TestBase
virtual void | initTestCase ()
virtual void | cleanupTestCase ()
virtual void | cleanupOnExit (QObject *p)

## Detailed Description

The TestCodeGeneratorBase class is intended as base class for code generator unit tests

Currently it provides a path to a temporary directory, where generated code could be placed into. The temporary path is set as default output path for any code generating.

Author
  Ralf Habacker ralf..nosp@m.haba.nosp@m.cker@.nosp@m.free.nosp@m.net.d.nosp@m.e

## Member Function Documentation

## ◆ initTestCase

void TestCodeGeneratorBase::initTestCase | ( |  | ) |
| private virtual slot

## ◆ temporaryPath()

QString TestCodeGeneratorBase::temporaryPath | ( |  | ) |
| protected

Return temporary path usable to generated code.

Returns

## Member Data Documentation

## ◆ m_tempPath

QString TestCodeGeneratorBase::m_tempPath
| protected

holds path to temporary directory

The documentation for this class was generated from the following files:

- unittests/testbase.h
- unittests/testbase.cpp